const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const supporting_documents = sequelize.define(
    'supporting_documents',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

quote_number: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  supporting_documents.associate = (db) => {

    db.supporting_documents.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.supporting_documents.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return supporting_documents;
};

